Bug 188439 - Can't create directories in USB thumb-drives
Can't create directories in USB thumb-drives
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-09 19:52 EDT by Gian Paolo Mureddu
Modified: 2015-03-03 17:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 12:58:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gian Paolo Mureddu 2006-04-09 19:52:28 EDT
Description of problem:
When trying to create a directory from within Nautilus into /media/disk an error
pops up saying "invalid arguments"

Version-Release number of selected component (if applicable):
nautilus-2.14.0-1

How reproducible:
Always

Steps to Reproduce:
1. Insert thumbdrive, allow nautilus to mount it
2. Open the drive with Nautilus.
3. Try to create a directory
  
Actual results:
"Invalid Arguments" when trying to create a new directroy. Only way to create a
directory is through the command line.

Expected results:
To be able to create new directories from the contextual menu.

Additional info:
All Nautilus packages installed (rpm -qa | grep nautilus):
nautilus-sendto-bluetooth-0.4-7.2
nautilus-2.14.0-1
nautilus-sendto-0.4-7.2
nautilus-open-terminal-0.6-3.fc5
nautilus-cd-burner-2.14.0.1-1
Comment 1 Gian Paolo Mureddu 2006-06-22 14:21:42 EDT
Just to add that this problem is still present in nautilus-2.14.1, same error.

I find it hard to believe that no-one else has this problem, but I guess I'll
have to test in other FC5 systems, then.
Comment 2 Alexander Larsson 2006-08-22 08:54:17 EDT
Is this a fat filesystem that doesn't support more than 8+3 chars perhaps? Maybe
it can't create a file called "untitled folder".
Comment 3 Gian Paolo Mureddu 2006-08-22 11:20:55 EDT
Yes, this is a vfat filesystem (FAT32) and I had it working on FC4 just fine
(granted, after a Nautilus update)
Comment 4 Alexander Larsson 2006-08-22 11:32:32 EDT
vfat should work ok, as long as its mounted to support long filenames.
Does 'mkdir "untitled folder"' work on the filesystem from the shell?
Comment 5 Gian Paolo Mureddu 2006-08-23 01:14:00 EDT
Actually it does, as strange as it sounds, it does, and after doing that, well
it corrected... Strange.
Comment 6 Alexander Larsson 2006-08-23 07:42:28 EDT
It "corrected"? What do you mean? Did the bug go away?
Comment 7 Gian Paolo Mureddu 2006-08-23 12:06:35 EDT
After issuing an mkdir from console, I was able to right-click create a
directory from within Nautilus... I'll install the vfat utility programs and run
an fsck on the drive, maybe that's preventing Nautilus to write long names on it
as some mount options or whatnot, once done that, I'll try again.

Note You need to log in before you can comment on or make changes to this bug.